| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties

# IG::Lib::MatrixDtoBase< MatrixType > Class Template Reference

Base class for various matrix DTO (Data Transfer Objects) for matrixs. Used to store a state of a matrix. More...

Inheritance diagram for IG::Lib::MatrixDtoBase< MatrixType >:
[legend]
Collaboration diagram for IG::Lib::MatrixDtoBase< MatrixType >:
[legend]

List of all members.

## Public Member Functions
| MatrixDtoBase ()
| Default constructor, sets IsNull to true.
| MatrixDtoBase (int rowCnt, int columnCnt)
| Constructor, prepares the current DTO for storing a matrix of the specified dimension.
abstract MatrixType | CreateMatrix (int rowCnt, int columnCnt)
| Creates and returns a new matrix of the specified dimension.
override MatrixType | CreateObject ()
| Creates and returns a new matrix of the specified type and dimension.
## Protected Member Functions
virtual void | AllocateComponents (int rowCnt, int columnCnt)
| Allocates the array that stores matrix elements.
override void | CopyFromPlain (IMatrix mat)
| Copies data to the current DTO from a matrix object.
override void | CopyToPlain (ref IMatrix mat)
| Copies data from the current DTO to a matrix object.
## Protected Attributes
int | _rowCount
int | _columnCount
double[][] | _elements
## Properties
virtual int | RowCount`[get, set]`
| Number of rows of the matrix.
virtual int | ColumnCount`[get, set]`
| Number of columns of the matrix.
double[][] | Components`[get, set]`
| Matrix elements.

## Detailed Description

### template<MatrixType>
class IG::Lib::MatrixDtoBase< MatrixType >

Base class for various matrix DTO (Data Transfer Objects) for matrixs. Used to store a state of a matrix.

Template Parameters:

  MatrixType | Type parameter specifying the specific matrix type for which concrete DTO is designed.

$A Igor Jun09;

Type Constraints

  MatrixType | : | class |
  MatrixType | : | IMatrix |

## Member Function Documentation

template<MatrixType >

IG::Lib::MatrixDtoBase< MatrixType >::MatrixDtoBase | ( |  | ) | `[inline]`

Default constructor, sets IsNull to true.

template<MatrixType >

IG::Lib::MatrixDtoBase< MatrixType >::MatrixDtoBase | ( | int | rowCnt,
|  | int | columnCnt
| ) |  | `[inline]`

Constructor, prepares the current DTO for storing a matrix of the specified dimension.

Parameters:

  rowCnt | First dimension (number of rows) of a matrix that is stored in the current DTO.
  columnCnt | Second dimension (number of columns) of a matrix that is stored in the current DTO.

template<MatrixType >

virtual void IG::Lib::MatrixDtoBase< MatrixType >::AllocateComponents | ( | int | rowCnt,
|  | int | columnCnt
| ) |  | `[inline, protected, virtual]`

Allocates the array that stores matrix elements.

Parameters:

  rowCnt | Number of rows of the matrix.
  columnCnt | Number of columns of the matrix.

template<MatrixType >

abstract MatrixType IG::Lib::MatrixDtoBase< MatrixType >::CreateMatrix | ( | int | rowCnt,
|  | int | columnCnt
| ) |  | `[pure virtual]`

Creates and returns a new matrix of the specified dimension.

Parameters:

  rowCnt | Number of rows of the matrix.
  columnCnt | Number of columns of the matrix.

template<MatrixType >

override MatrixType IG::Lib::MatrixDtoBase< MatrixType >::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns a new matrix of the specified type and dimension.

Implements IG::Lib::SerializationDtoBase< Type, BaseType >.

template<MatrixType >

override void IG::Lib::MatrixDtoBase< MatrixType >::CopyFromPlain | ( | IMatrix | mat | ) | `[inline, protected]`

Copies data to the current DTO from a matrix object.

Parameters:

  mat | Matrix object from which data is copied.

template<MatrixType >

override void IG::Lib::MatrixDtoBase< MatrixType >::CopyToPlain | ( | ref IMatrix | mat | ) | `[inline, protected]`

Copies data from the current DTO to a matrix object.

Parameters:

  mat | Matrix object that data is copied to.

## Member Data Documentation

template<MatrixType >

int IG::Lib::MatrixDtoBase< MatrixType >::_rowCount`[protected]`

template<MatrixType >

int IG::Lib::MatrixDtoBase< MatrixType >::_columnCount`[protected]`

template<MatrixType >

double [][] IG::Lib::MatrixDtoBase< MatrixType >::_elements`[protected]`

## Property Documentation

template<MatrixType >

virtual int IG::Lib::MatrixDtoBase< MatrixType >::RowCount`[get, set]`

Number of rows of the matrix.

template<MatrixType >

virtual int IG::Lib::MatrixDtoBase< MatrixType >::ColumnCount`[get, set]`

Number of columns of the matrix.

template<MatrixType >

double [][] IG::Lib::MatrixDtoBase< MatrixType >::Components`[get, set]`

Matrix elements.

The documentation for this class was generated from the following file:

- MatrixDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events